# PODNAME: Config::Model::models::Dpkg::Upstream::Metadata
# ABSTRACT:  Configuration class Dpkg::Upstream::Metadata

=encoding utf8

=head1 NAME

Config::Model::models::Dpkg::Upstream::Metadata - Configuration class Dpkg::Upstream::Metadata

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

The upstream metadata file is meant to contain machine-readable metadata about the upstream project, its community and processes.

Information in this file should not be specific to Debian, and be relevant for other distributions as well.

For more details, see L<https://dep-team.pages.debian.net/deps/dep12/>



=head1 Elements

=head2 Archive

The name of the large archive that the upstream work is part of, like CPAN. I< Optional. Type uniline.  > 

=head2 ASCL-Id

Identification code in the L<http://ascl.net> I< Optional. Type uniline.  > 

=head2 Bug-Database

A URL to the list of known bugs for the project. I< Optional. Type string.  > 

=head2 Bug-Submit

A URL that is the place where new bug reports should be sent. I< Optional. Type uniline.  > 

=head2 Cite-As

The way the authors want their software be cited in publications. The value is a string which might contain a link in valid HTML syntax. (L<http://lists.debian.org/debian-science/2012/05/msg00008.html>) I< Optional. Type uniline.  > 

=head2 Changelog

URL to the upstream changelog. I< Optional. Type uniline.  > 

=head2 Contact

Contact should be specified in debian/copyright. B<Deprecated> I< Optional. Type uniline.  > 

=head2 CPE

One or more space separated L<http://cpe.mitre.org/> values useful to look up relevant CVEs in the L<https://nvd.nist.gov/home.cfm> and other CVE sources. See CPEtagPackagesDep for information on how this information can be used. Example: "cpe:/a:ethereal_group:ethereal" I< Optional. Type uniline.  > 

=head2 Documentation

A URL to online documentation. I< Optional. Type uniline.  > 

=head2 Donation

A URL to a donation form (or instructions). I< Optional. Type uniline.  > 

=head2 FAQ

A URL to the online FAQ. I< Optional. Type uniline.  > 

=head2 Funding

One or more sources of funding which have supported this project (e.g. NSF OCI-12345). I< Optional. Type uniline.  > 

=head2 Gallery

A URL to a gallery of pictures made with the program (not screenshots). I< Optional. Type uniline.  > 

=head2 Homepage

Homepage should be specified in debian/control. B<Deprecated> I< Optional. Type uniline.  > 

=head2 Other-References

A URL to a upstream page containing more references. I< Optional. Type uniline.  > 

=head2 Reference

One or more bibliographic references. The values for the keys are always scalars, and the keys that correspond to standard BibTeX entries must provide the same content. I< Optional. Type list of node of class L<Dpkg::Upstream::Metadata::Reference|Config::Model::models::Dpkg::Upstream::Metadata::Reference> .  > 

=head2 Registration

A URL to a registration form (or instructions). This could be registration of bug reporting accounts, registration for counting/contacting users etc. I< Optional. Type uniline.  > 

=head2 Registry

This field shall point to external catalogs/registries of software. The field features an array of "Name (of registry) - Entry (ID of software in that catalog)" pairs. The names and entries shall only be names, not complete URIs, to avoid any bias on mirrors etc. Example: C< Registry: - Name: bio.tools Entry: clustalw - Name: OMICtools Entry: OMICS_02562 - Name: SciCrunch Entry: SCR_002909> Valid `Name` entries for Registry are: L<https://bio.tools/>, L<https://biii.eu/>, L<https://omictools.com/>, L<https://scicrunch.org/>, L<https://bioconda.github.io/>, L<https://opam.ocaml.org/> and L<https://pypi.org/>. Other channels of conda can be referenced analogously by their name, for instance L<https://conda-forge.org/> or L<https://anaconda.org/r>, but may not yet be prepared to be interpreted. Special value of "Entry" C<NA> means that a catalog/registry is confirmed to not have an entry for this software. I< Optional. Type list of node of class L<Dpkg::Upstream::Metadata::Registry|Config::Model::models::Dpkg::Upstream::Metadata::Registry> .  > 

=head2 Repository

URL to a repository containing the upstream sources. I< Optional. Type uniline.  > 

=head2 Repository-Browse

A URL to browse the repository containing the upstream sources. I< Optional. Type uniline.  > 

=head2 Screenshots

One or more URLs to upstream pages containing screenshots (not C<screenshots.debian.net>), represented by a scalar or a sequence of scalars. I< Optional. Type list of uniline.  > 

=head2 Security-Contact

Which person, mailing list, forum,… to send security-related messages in the first place. I< Optional. Type uniline.  > 

=head2 Upstream-Contact

Upstream-Contact should be specified in debian/copyright. B<Deprecated> I< Optional. Type uniline.  > 

=head2 Upstream-Name

Upstream-Name should be specified in debian/copyright. B<Deprecated> I< Optional. Type uniline.  > 

=head2 Webservice

URL to an web page where the packaged program can also be used. I< Optional. Type uniline.  > 

=head1 SEE ALSO

=over

=item *

L<cme>

=item *

L<Config::Model::models::Dpkg::Upstream::Metadata::Reference>

=item *

L<Config::Model::models::Dpkg::Upstream::Metadata::Registry>

=back

=head1 AUTHOR

=over

=item Dominique Dumont


=back

=head1 COPYRIGHT

=over

=item 2025, Dominique Dumont


=back

=cut

